import { ApiVisa, BaseApiTemplateService, BasicApiResponseModel } from '../../shared';
import { HttpClient } from '@angular/common/http';
import { WfIssueCommentContainerModel } from "../../../../../../models";
import { Observable } from 'rxjs';
export declare class WfIssueCommentBackofficeEpService extends BaseApiTemplateService<WfIssueCommentContainerModel> {
    constructor(http: HttpClient);
    uploadFile(formData: FormData, issueCommentGuid: string, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    replaceFile(formData: FormData, extGuid: string, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    getFile(extGuid: string, visa: ApiVisa): Observable<Blob>;
}
